Bug 1307603 - gtkimageview: FTBFS in rawhide
gtkimageview: FTBFS in rawhide
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: gtkimageview (Show other bugs)
24
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Nils Philippsen
Fedora Extras Quality Assurance
:
Depends On:
Blocks: F24FTBFS
  Show dependency treegraph
 
Reported: 2016-02-13 16:33 EST by Fedora Release Engineering
Modified: 2016-10-20 12:25 EDT (History)
2 users (show)

See Also:
Fixed In Version: gtkimageview-1.6.4-13.fc26 gtkimageview-1.6.4-13.fc25
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-10-20 12:25:06 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
build.log (38.70 KB, text/plain)
2016-02-13 16:33 EST, Fedora Release Engineering
no flags Details
root.log (106.16 KB, text/plain)
2016-02-13 16:33 EST, Fedora Release Engineering
no flags Details
state.log (645 bytes, text/plain)
2016-02-13 16:33 EST, Fedora Release Engineering
no flags Details

  None (edit)
Description Fedora Release Engineering 2016-02-13 16:33:29 EST
Your package gtkimageview failed to build from source in current rawhide.

http://koji.fedoraproject.org/koji/taskinfo?taskID=12822197

For details on mass rebuild see https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild
Comment 1 Fedora Release Engineering 2016-02-13 16:33:31 EST
Created attachment 1124873 [details]
build.log
Comment 2 Fedora Release Engineering 2016-02-13 16:33:32 EST
Created attachment 1124874 [details]
root.log
Comment 3 Fedora Release Engineering 2016-02-13 16:33:33 EST
Created attachment 1124875 [details]
state.log
Comment 4 Jan Kurik 2016-02-24 09:46:15 EST
This bug appears to have been reported against 'rawhide' during the Fedora 24 development cycle.
Changing version to '24'.

More information and reason for this action is here:
https://fedoraproject.org/wiki/Fedora_Program_Management/HouseKeeping/Fedora24#Rawhide_Rebase
Comment 5 Yaakov Selkowitz 2016-03-31 22:27:06 EDT
configure adds -Werror which triggers several deprecation warnings to become errors:

CFLAGS="${CFLAGS} -Wall -Werror -std=c99 -Wmissing-prototypes"

The -Werror needs to be removed from that line in configure{.in,}.

The indentation warning triggered by -Wall was a false alarm as well.
Comment 6 Nils Philippsen 2016-10-14 07:20:17 EDT
Yaakov, thanks for the hint.
Comment 7 Nils Philippsen 2016-10-14 07:34:31 EDT
I've applied the patch to F-24/25 and Rawhide, and kicked off builds on the latter two.
Comment 8 Nils Philippsen 2016-10-14 07:59:32 EDT
Hmm, not sure why the F-25 update doesn't show up. Here it is:

https://bodhi.fedoraproject.org/updates/FEDORA-2016-6e78336949
Comment 9 Fedora Update System 2016-10-14 17:54:15 EDT
gtkimageview-1.6.4-13.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-6e78336949
Comment 10 Fedora Update System 2016-10-20 12:25:06 EDT
gtkimageview-1.6.4-13.fc25 has been pushed to the Fedora 25 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.